# Generated by Django 4.0 on 2021-12-13 23:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Malware',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=128, unique=True)),
                ('binary_size', models.BigIntegerField(default=0)),
                ('arch', models.CharField(default='', max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name='NetworkBehaviour',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=128)),
                ('malware', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='telemetry.malware')),
            ],
        ),
        migrations.CreateModel(
            name='FileBehaviour',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=128)),
                ('malware', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='telemetry.malware')),
            ],
        ),
    ]
